dvdisaster Version 0.70 | To the Internet version

Contents

Overview
Examples and screen shots
· | Scanning media for errors
· | Creating error correction data
· | Reading defective media
· | Recovering media images
· | Getting information about images and error correction data
· | Configuration
· | Command syntax
Download
Questions and Answers
Background information

### Getting information about images and error correction data

This function provides information about image and error correction data which is already present on your hard disc:

1. | Select the image file. | The symbol opens the file chooser.
2. | If you are using error correction files, select the respective error correction file. Leave this entry blank when working with augmented images. | The symbol opens the file chooser
3. | Click the "Verify" button to verfiy the image data with the error correction information. |
4. | Watch the verfication progress. |

### Getting the information from the command line

You will need the following parameters (defaults are given in parenthesis):

-t/ --test | Verify
-i / --image | Image file (medium.iso)
-e / --ecc | only for RS01: Error correction file (medium.ecc)

Example for verifying an image with the respective error correction file:

user@linux> dvdisaster -t -i image.iso -e corrdata.ecc
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnörlich.
[... remainder of the GPL announcement ...]

/dvd/image.iso: present, contains 2224288 medium sectors.
- good image : all sectors present
- image md5sum : 55cdd507e8d96af0da0667ce4365c7ae

/dvd/corrdata.ecc: created by dvdisaster-0.62
- method : RS01, 32 roots, 14.3% redundancy.
- requires : dvdisaster-0.55 (good)
- medium sectors : 2224288 (good)
- image md5sum : 55cdd507e8d96af0da0667ce4365c7ae (good)
- fingerprint match: good
- ecc blocks : 20428800 (good)
- ecc md5sum : 4bdf5ed398e7662ac93c9d08e1ba9ff2 (good)

Example for checking an augmented image:

user@linux> dvdisaster -t -i image.iso
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnörlich.
[... remainder of the GPL announcement ...]

/dvd/image.iso: present, contains 2281713 medium sectors.
- good image : all sectors present
- data md5sum : 1b6ad314c0cbaa1874841c41ee05a620

Error correction data: created by dvdisaster-0.70
- method : RS02, 94 roots, 58.4% redundancy.
- requires : dvdisaster-0.66 (good)
- medium sectors : 2281713 (good)
- data md5sum : 1b6ad314c0cbaa1874841c41ee05a620 (good)
- crc md5sum : 105381481a7d5e490d3a53ae66e19f79 (good)
- ecc md5sum : 5d04d3746a228dd8ad23442aeb80d838 (good)

Copyright 2004-2007 Carsten Gnörlich. Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.